
$(window).load(function () {
    $(".loading").fadeOut()

    // 返回上一级 视图处理
    C_keys_list = C_keys.split(",")
    if (C_keys_list.length <= 1){
        $("#v_back").hide();
    }else {
        $("#v_back").show();
    }

    f_kf_open()
})

/****/
$(document).ready(function () {
    var whei = $(window).width()
    $("html").css({fontSize: whei / 20})
    $(window).resize(function () {
        var whei = $(window).width()
        $("html").css({fontSize: whei / 20})
    });
});

// 返回
function f_v_back() {
    C_keys_list = C_keys.split(",")
    C_keys_list.pop()
    hrefurl = "?T_key="+C_keys_list.join(",")
    if (false != C_modex){
        hrefurl += "&T_mode="+C_modex
    }
    document.location.href = hrefurl
}

var V_kf_yd = 1
function f_kf_open() {
    $("#v_3d").show();
    $("#v_trail").hide();
    $(".R_KF_Column").show();
    $(".R_YD_Column").hide();
    V_kf_yd = 1
    f_view()
}

function f_yd_open() {
    $("#v_3d").hide();
    $("#v_trail").show();
    $(".R_KF_Column").hide();
    $(".R_YD_Column").show();
    V_kf_yd = 2
    f_view()
}

// 视图数据改变
function f_view() {
    if(C_json == null) return

    // 3D加载
    f_v3d_loadProject(C_json.Company_v3d.split("|")[1])
    f_v_v3d()

    // 屏蔽按钮
    if(C_json.Device.T_库房总数 == 0){
        $("#v_open_KF").hide();
    }
    if(C_json.Device.T_移动总数 == 0){
        $("#v_open_YD").hide();
    }

    $("#T_公司名称").html(C_json.Company_name + "-冷链药品质量安全智慧中台")
    $("title").html(C_json.Company_name + "-冷链药品质量安全智慧中台")

    // 设备类
    $("#T_终端总数").html(C_json.Device.T_库房总数 + C_json.Device.T_移动总数)
    $("#T_库房总数").html(C_json.Device.T_库房总数)
    $("#T_移动总数").html(C_json.Device.T_移动总数)

    $("#T_移动离线总数").html(C_json.Device.T_移动离线总数)
    $("#T_移动监控总数").html(C_json.Device.T_移动监控总数)

    // 报警类
    // $("#T_库房报警总数").html(C_json.Warning.T_库房报警总数)
    $("#T_库房未处理总数").html(C_json.Warning.T_库房未处理总数)
    $("#T_库房设备报警数_今天").html(C_json.Warning.T_库房设备报警数_今天)
    $("#T_库房报警设备数_今天").html(C_json.Warning.T_库房报警设备数_今天)
    // $("#T_库房设备报警数_昨天").html(C_json.Warning.T_库房设备报警数_昨天)
    // $("#T_库房设备报警数_近7天").html(C_json.Warning.T_库房设备报警数_近7天)
    // $("#T_库房设备报警数_本月").html(C_json.Warning.T_库房设备报警数_本月)
    // $("#T_库房设备报警数_上一月").html(C_json.Warning.T_库房设备报警数_上一月)

    // $("#T_移动警数总数").html(C_json.Warning.T_移动警数总数)
    $("#T_移动未处理总数").html(C_json.Warning.T_移动未处理总数)
    $("#T_移动设备报警数_今天").html(C_json.Warning.T_移动设备报警数_今天)
    // $("#T_移动设备报警数_昨天").html(C_json.Warning.T_移动设备报警数_昨天)
    // $("#T_移动设备报警数_近7天").html(C_json.Warning.T_移动设备报警数_近7天)
    // $("#T_移动设备报警数_本月").html(C_json.Warning.T_移动设备报警数_本月)
    // $("#T_移动设备报警数_上一月").html(C_json.Warning.T_移动设备报警数_上一月)

    w_x_ = parseInt(C_json.Warning.T_库房报警设备数_今天)
    if (w_x_ != 0) {
        w_x_ = w_x_ / (C_json.Device.T_库房总数)
        w_x_ *= 100
    }
    $("#T_今日库房报警率").html(w_x_.toFixed(1) + "%")


    $("#T_今日报警总数").html(parseInt(C_json.Warning.T_库房设备报警数_今天) + parseInt(C_json.Warning.T_移动设备报警数_今天))
    w_x_ = parseInt(C_json.Warning.T_库房报警设备数_今天) + parseInt(C_json.Warning.T_移动报警设备数_今天)
    if (w_x_ != 0) {
        w_x_ = w_x_ / (C_json.Device.T_库房总数 + C_json.Device.T_移动总数)
        w_x_ *= 100
    }
    $("#T_今日报警率").html(w_x_.toFixed(1) + "%")
    // $("#T_今日报警率").html(parseInt(w_x_) + "%")
    $("#T_今日未处理总数").html(parseInt(C_json.Warning.T_库房未处理总数) + parseInt(C_json.Warning.T_移动未处理总数))

    // 任务类
    $("#T_任务总数_今天").html(C_json.Task.T_任务总数_今天)
    // $("#T_任务总数_昨天").html(C_json.Task.T_任务总数_昨天)
    // $("#T_任务总数_近7天").html(C_json.Task.T_任务总数_近7天)
    // $("#T_任务总数_本月").html(C_json.Task.T_任务总数_本月)
    // $("#T_任务总数_上一月").html(C_json.Task.T_任务总数_上一月)

    $("#T_任务设备数_今天").html(C_json.Task.T_任务设备数_今天)
    // $("#T_任务设备数_昨天").html(C_json.Task.T_任务设备数_昨天 )
    // $("#T_任务设备数_近7天").html(C_json.Task.T_任务设备数_近7天)
    // $("#T_任务设备数_本月").html(C_json.Task.T_任务设备数_本月 )
    // $("#T_任务设备数_上一月").html(C_json.Task.T_任务设备数_上一月)

    w_x_ = parseInt(C_json.Task.T_任务设备数_今天)
    if (w_x_ != 0) {
        w_x_ = w_x_ / C_json.Device.T_移动总数
        w_x_ *= 100
    }
    $("#T_今日闲置设备").html(w_x_.toFixed(1) + "%")

    // 中间 视图显示
    // 库房端
    $("#T_C_1").html(C_json.Device.T_库房总数)// 公司下一级统计
    $("#T_C_2").html(C_json.Warning.T_库房设备报警数_今天)// 公司下一级统计
    w_x_ = parseInt(C_json.Warning.T_库房报警设备数_今天)
    if (w_x_ != 0) {
        w_x_ = w_x_ / C_json.Device.T_库房总数
        w_x_ *= 100
    }
    $("#T_C_3").html(w_x_.toFixed(1) + "%")// 公司下一级统计

    $("#T_Cn_1").html("设备数量")
    $("#T_Cn_2").html("今日库房报警次数")
    $("#T_Cn_3").html("今日库房报警率")

    // 设备列表
    $('#Company_DeviceG').liMarquee('destroy'); // 清除滚动
    $("#Company_DeviceL").html("")// 清除内容
    Company_Device_l = []
    f_Company_Device(C_json)
    // console.log("Company_Next_T_l:",Company_Next_T_l)
    // 开始滚动
    $('#Company_DeviceG').liMarquee({
        direction: 'up',//身上滚动
        runshort: false,//内容不足时不滚动
        scrollamount: 20//速度
    });
}


function f_Company_Device(C_j) {

    for (var C_key in C_j.Device.DeviceList) {
        T_t = ""
        T_rh = ""

        C_b = C_j.Device.DeviceList[C_key]
        t_w_ = ""
        if (C_b.T_DeviceSensorParameter.T_free == 0){
            if (( C_b.T_DeviceSensorParameter.T_Tlower > C_b.T_DeviceSensorData.T_t) || ( C_b.T_DeviceSensorData.T_t > C_b.T_DeviceSensorParameter.T_Tupper)){
                t_w_ = " style='color: #f93fff' "
                console.log("温度超标", C_b.T_DeviceSensorParameter.T_Tlower , C_b.T_DeviceSensorData.T_t , C_b.T_DeviceSensorData.T_t , C_b.T_DeviceSensorParameter.T_Tupper)
            }
        }

        h_w_ = ""
        if (C_b.T_DeviceSensorParameter.T_free == 0){
            if (( C_b.T_DeviceSensorParameter.T_RHlower > C_b.T_DeviceSensorData.T_rh) || ( C_b.T_DeviceSensorData.T_rh > C_b.T_DeviceSensorParameter.T_RHupper)){
                h_w_ = " style='color: #f93fff' "
                console.log("湿度超标", C_b.T_DeviceSensorParameter.T_RHlower , C_b.T_DeviceSensorData.T_rh , C_b.T_DeviceSensorData.T_rh , C_b.T_DeviceSensorParameter.T_RHupper)
            }
        }


        T_t = C_b.T_DeviceSensorData.T_t + "°C"

        h_w_title = ""
        if(C_b.T_DeviceSensorData.T_rh == 0){
            T_rh = "无"
        }else {
            T_rh = C_b.T_DeviceSensorData.T_rh + "%"
            h_w_title = "  title=\""+C_b.T_DeviceSensorParameter.T_RHlower+"% ~ "+C_b.T_DeviceSensorParameter.T_RHupper+"%\" "
        }

        if(C_b.T_online != 1 && C_b.T_online_s != 1 ){
            T_t = "离线"
            T_rh = "离线"
            t_w_ = " style='color: rgba(255, 255, 255, .6)' "
            h_w_ = " style='color: rgba(255, 255, 255, .6)' "
        }

        $("#Company_DeviceL").append("<li onclick=\"f_d_onclick(\'"+C_b.T_3dview+"\')\"><p><span>" + C_b.T_name + "</span><span "+t_w_+"  title=\""+C_b.T_DeviceSensorParameter.T_Tlower+"°C ~ "+C_b.T_DeviceSensorParameter.T_Tupper+"°C\" >" + T_t + "</span><span "+h_w_+" "+h_w_title+">" + T_rh + "</span></p></li>")
    }

}
function f_d_onclick(T_3dview) {
    if(T_3dview.length > 0){
        f_DeviceonDblclick(T_3dview)
    }
}
